Bug 190154 - [patch] math/geonext update to 1.74, add stage support
Summary: [patch] math/geonext update to 1.74, add stage support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Olli Hauer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-23 21:10 UTC by Olli Hauer
Modified: 2014-08-31 12:56 UTC (History)
2 users (show)

See Also:


Attachments
geonext-1.74.diff (4.78 KB, patch)
2014-05-23 21:10 UTC, Olli Hauer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olli Hauer freebsd_committer 2014-05-23 21:10:00 UTC
- update to 1.74
- add stage support
- cleanup MASTER_SITE
- add LICENSE
- install geonext-$lang start scrip only in $LOCALBASE/bin
- adjust slave ports

Changes:
- add support for java7

patch can be found here:
 http://people.freebsd.org/~ohauer/diffs/stage/stage_geonext-1.74.diff
Comment 1 Edwin Groothuis freebsd_committer 2014-05-23 21:10:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-05-23 21:10:04 UTC
Maintainer of math/geonext,

Please note that PR ports/190154 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/190154

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Olli Hauer freebsd_committer 2014-05-23 21:19:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ohauer

Take my PR
Comment 4 Baptiste Daroussin freebsd_committer 2014-08-25 10:09:30 UTC
maintainership has been reset feel free to commit your patch
Comment 5 John Marino freebsd_committer 2014-08-31 10:25:48 UTC
that means: commit it today, the port could be deleted as soon as tomorrow.
Comment 6 commit-hook freebsd_committer 2014-08-31 12:55:26 UTC
A commit references this bug:

Author: ohauer
Date: Sun Aug 31 12:55:21 UTC 2014
New revision: 366749
URL: http://svnweb.freebsd.org/changeset/ports/366749

Log:
  - update to 1.74
  - add stage support
  - add licence
  - rework MASTER / SLAVE ports
    - slave depends now on MASTER port
    - install only a dedicated start script

  PR:		190154
  Submitted by:	ohauer
  Approved by:	maintainer timeout

Changes:
  head/french/geonext/Makefile
  head/german/geonext/Makefile
  head/math/geonext/Makefile
  head/math/geonext/distinfo
  head/math/geonext/files/
  head/math/geonext/files/geonext.in
  head/math/geonext/pkg-plist
Comment 7 Olli Hauer freebsd_committer 2014-08-31 12:56:44 UTC
reworked update committed